Subject: Re: [Patch net-next] tcp: add a tracepoint for tcp_retransmit_skb()

From: Hannes Frederic Sowa <[email-masked]>
Date: Thu, 12 Oct 2017 11:39:57 +0200

Eric Dumazet <[email-masked]> writes:

[...]

> Since this sock_gen_cookie() is lock-free and IRQ ready, it should be
> not be a problem to pretend it works with a const socket.
>
> I am a bit unsure about revealing in socket cookie a precise count of
> sockets created on a netns. Some attackers might use this in a side
> channel attack.

That is true. We expose this information already via the inode number
allocator for sockets. It is a bit imprecise because of using CPU
batches.